# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Wed May 19 07:03:56 2021
# ------------------------------------------------

package:
  name: imagecodecs
  version: 2021.4.28
source:
  sha256: 26ffa26b884fb03b93aba9e2222ede6a388bd862683d6c19bb53fc8094ff4a3d
  url: https://pypi.io/packages/source/i/imagecodecs/imagecodecs-2021.4.28.tar.gz
build:
  entry_points:
    - imagecodecs=imagecodecs.__main__:main
  ignore_run_exports: null
  number: '0'
  string: py39h581e88b_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - binutils_impl_linux-64 2.33.1 he6710b0_7
    - binutils_linux-64 2.33.1 h9595d00_15
    - gcc_impl_linux-64 7.3.0 habb00fd_1
    - gcc_linux-64 7.3.0 h553295d_15
    - gxx_impl_linux-64 7.3.0 hdf63c60_1
    - gxx_linux-64 7.3.0 h553295d_15
    - ld_impl_linux-64 2.33.1 h53a641e_7
    - libgcc-ng 9.1.0 hdf63c60_0
    - libstdcxx-ng 9.1.0 hdf63c60_0
    - pkg-config 0.29.2 h1bed415_8
  host:
    - _libgcc_mutex 0.1 main
    - blas 1.0 mkl
    - blosc 1.21.0 h8c45485_0
    - brotli 1.0.9 he6710b0_2
    - brunsli 0.1 h2531618_0
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2021.4.13 h06a4308_1
    - certifi 2020.12.5 py39h06a4308_0
    - charls 2.2.0 h2531618_0
    - cython 0.29.23 py39h2531618_0
    - giflib 5.1.4 h14c3975_1
    - intel-openmp 2021.2.0 h06a4308_610
    - jpeg 9b h024ee3a_2
    - jxrlib 1.1 h7b6447c_2
    - lcms2 2.12 h3be6417_0
    - ld_impl_linux-64 2.33.1 h53a641e_7
    - lerc 2.2.1 h2531618_0
    - libaec 1.0.4 he6710b0_1
    - libdeflate 1.7 h27cfd23_5
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.1.0 hdf63c60_0
    - libgfortran-ng 7.3.0 hdf63c60_0
    - libpng 1.6.37 hbc83047_0
    - libstdcxx-ng 9.1.0 hdf63c60_0
    - libtiff 4.1.0 h2733197_1
    - libwebp 1.0.0 h222930b_1
    - libzopfli 1.0.3 he6710b0_0
    - lz4-c 1.9.3 h2531618_0
    - mkl 2021.2.0 h06a4308_296
    - mkl-service 2.3.0 py39h27cfd23_1
    - ncurses 6.2 he6710b0_1
    - numpy-base 1.16.6 py39hdc34a94_3
    - numpy-devel 1.16.6 py39hef7d012_3
    - openjpeg 2.3.0 h05c96fa_1
    - openssl 1.1.1k h27cfd23_0
    - pip 21.0.1 py39h06a4308_0
    - python 3.9.4 hdb3f193_0
    - readline 8.1 h27cfd23_0
    - setuptools 52.0.0 py39h06a4308_0
    - six 1.15.0 py39h06a4308_0
    - snappy 1.1.8 he6710b0_0
    - sqlite 3.35.4 hdfb4753_0
    - tk 8.6.10 hbc83047_0
    - tzdata 2020f h52ac0ba_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zfp 0.5.5 h2531618_6
    - zlib 1.2.11 h7b6447c_3
    - zstd 1.4.5 h9ceee32_0
  run:
    - blosc >=1.21.0,<2.0a0
    - brotli >=1.0.9,<1.1.0a0
    - brotli >=1.0.9,<2.0a0
    - brunsli >=0.1,<1.0a0
    - bzip2 >=1.0.8,<2.0a0
    - charls >=2.2.0,<2.3.0a0
    - giflib >=5.1.4,<5.2.0a0
    - jpeg >=9b,<10a
    - jxrlib >=1.1,<1.2.0a0
    - lcms2 >=2.12,<3.0a0
    - lerc >=2.2.1,<3.0a0
    - libaec >=1.0.4,<2.0a0
    - libdeflate >=1.7,<1.8.0a0
    - libgcc-ng >=7.3.0
    - libpng >=1.6.37,<1.7.0a0
    - libstdcxx-ng >=7.3.0
    - libtiff >=4.1.0,<5.0a0
    - libwebp >=1.0.0,<1.1.0a0
    - libzopfli >=1.0.3,<1.1.0a0
    - lz4-c >=1.9.3,<1.10.0a0
    - numpy >=1.16.6,<2.0a0
    - openjpeg >=2.3.0,<3.0a0
    - python >=3.9,<3.10.0a0
    - snappy >=1.1.8,<2.0a0
    - xz >=5.2.5,<6.0a0
    - zfp >=0.5.5,<1.0a0
    - zlib >=1.2.11,<1.3.0a0
    - zstd >=1.4.5,<1.4.6.0a0
test:
  commands:
    - cd tests
    - pytest -vv test_imagecodecs.py
  imports:
    - imagecodecs
    - imagecodecs._imagecodecs
  requires:
    - pytest
  source_files:
    - tests
about:
  description: 'The imagecodecs package provides various block-oriented, in-memory
    buffer

    transformation, compression, and decompression functions for use in the

    tifffile, czifile, and other Python imaging modules.


    Decode and/or encode functions are currently implemented for Zlib DEFLATE,

    ZStandard, Blosc, LZMA, BZ2, LZ4, LZW, LZF, PNG, WebP, JPEG 8-bit,

    JPEG 12-bit, JPEG SOF=0xC3, JPEG 2000, JPEG XR, PackBits, Packed Integers,

    Delta, XOR Delta, Floating Point Predictor, and Bitorder reversal.

    '
  dev_url: https://github.com/cgohlke/imagecodecs
  doc_url: https://www.lfd.uci.edu/~gohlke/
  home: https://www.lfd.uci.edu/~gohlke/
  license: BSD-3-Clause
  license_family: BSD
  license_file:
    - 3rdparty/bitshuffle/LICENSE
    - 3rdparty/liblzf/LICENSE
    - 3rdparty/openjpeg/LICENSE
    - LICENSE
  summary: Image transformation, compression, and decompression codecs
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - csachs
    - hmaarrfk
    - sdvillal
